<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
	PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:p="http://primefaces.org/ui" xmlns:pe="http://primefaces.org/ui/extensions">

<head>
	<title>ART</title>
	<meta name="description" content="ART" />
	<meta name="keywords" content="ART" />
	<!-- <title>Oua Travels</title> -->
	<!-- <meta name="description" content="Oua Travels." /> -->
	<link rel="icon" type="image/png" href="images/favicon.png" />

	<!-- <meta name="keywords" content="Oua Travels" /> -->
	<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
	<link href="app/assets/css/main.css" rel="stylesheet" type="text/css" />
	<link rel="image_src" href="images/logo.png" />
	<link rel="shortcut icon" href="./assets/logoart.gif" />
	<link rel="stylesheet" href="app/plugins/bootstrap/css/bootstrap.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="app/assets/fonts/font-awesome/css/font-awesome.min.css" type="text/css"
		media="screen" />
	<link rel="stylesheet" href="app/plugins/jQuery-ui/jquery-ui.css" type="text/css" />
	<link href="app/assets/css/lobibox.css" rel="stylesheet" media="screen" />
	<link href="app/assets/css/custom.css" rel="stylesheet" media="screen" />
	<link href="app/assets/css/custom-new.css" rel="stylesheet" media="screen" />
	<link rel="stylesheet" type="text/css" href="app/plugins/rs-plugin/css/settings2.css" media="screen" />
	<link href="plugins/kGallery/kGallery.css" rel="stylesheet" />
	<link href="app/assets/css/editor.css" rel="stylesheet" />

	<script type="text/javascript" src="app/assets/angular/angular.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-resource.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-repeat-n.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-route.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-route-segment.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/checklist-model.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-cookies.js"></script>
	<script type="text/javascript" src="app/assets/angular/ng-tasty-tpls.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-touch.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-sanitize.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/ng-file-upload.js"></script>
	<script type="text/javascript" src="app/assets/angular/app.js"></script>
	<script src="js/urlsettings.js"></script>
	<!-- <script type="text/javascript" src="app/assets/js/jquery.validate.min.js"></script> -->
	<!-- <script type="text/javascript" src="app/plugins/bootstrap/js/bootstrap.min.js"></script> -->



	<style>
		#pswd_info {
			position: absolute;
			bottom: 335px;
			bottom: -115px\9;
			/* IE Specific */
			right: 279px;
			width: 250px;
			padding: 15px;
			background: #fefefe;
			font-size: .875em;
			border-radius: 5px;
			box-shadow: 0 1px 3px #ccc;
			border: 1px solid #ddd;
			z-index: 1000;

		}

		#pswd_info h4 {
			margin: 0 0 10px 0;
			padding: 0;
			font-weight: normal;
		}

		#pswd_info::before {
			content: "\25B2";
			position: absolute;
			top: -12px;
			left: 45%;
			font-size: 14px;
			line-height: 14px;
			color: #ddd;
			text-shadow: none;
			display: block;
		}
		#pswderror{
			float: right!important;
    color: #f44336;
		}

		.invalid {
			background: url(../images/invalid.png) no-repeat 0 50%;
			padding-left: 22px;
			line-height: 24px;
			color: #979495;
		}

		.valid {
			background: url(../images/valid.png) no-repeat 0 50%;
			padding-left: 22px;
			line-height: 24px;
			color: #0aca2f;
		}

		#pswd_info {
			display: none;
		}

		ul,
		li {
			margin: 0;
			padding: 0;
			list-style-type: none;
		}

		.header {
			display: none;
		}

		.footer {
			display: none;
		}
	</style>
</head>

<body class="register" onload='document.registerForm.passwordCreate.focus(); '>

	<section id="registerView" style="display: blcok;">
		<div class="registerPanel">
			<div class="row">
				<div class="logopanel col-md-3 col-md-offset-4 text-center">
					<h2>
						<img src="./assets/logoart.gif" alt="logo" />
					</h2>
				</div>
				<!-- logopanel -->
			</div>
			<div class="row">
				<div class="col-md-5 col-md-offset-3">

					<div class="error-message" style="color:red; text-align:center; padding:5px; display:none;"></div>
					<div class="success-message" style="color:green; text-align:center; padding:5px; display:none;">
					</div>

					<form name="validateForm" id="validateForm" style="display: none;">
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								<div class="form-group">
									<label class="control-label"><span class="star">Email Id</span></label>
									<div class="input-group col-xs-12 col-sm-8 col-md-8 col-lg-8">
										<input type="email" id="travelEmail" name="travelEmail" value=""
											class="form-control borderRads" placeholder="Enter your mail id"
											readonly="true" />
									</div>
								</div>
							</div>
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								<div class="col-xs-4 col-sm-4 col-md-3 col-lg-3 pad0">
									<button onclick="userValidate();" type="submit"
										class="btn btn-primary">Submit</button>
								</div>
								<div class="col-xs-8 col-sm-6 col-md-5 col-lg-5 loading mt5" style="display: none;">
									<span style="padding-right: 15px;">Please wait...</span>
									<img src="app/images/loaders/loader4.gif" alt="loading..." />
								</div>
							</div>
						</div>
					</form>
					<form name="registerForm" style="display: block;" id="registerForm">
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 px-0">
								<div class="form-group">
									<label class=""><span class="star">Email Id</span></label>
									<div class="input-group col-xs-12 col-sm-8 col-md-6 col-lg-6">
										<input type="email" id="travelEmailId" class="form-control borderRads"
											placeholder="Enter your mail id" readonly="true" />
									</div>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col-md-6">
									<label class="" for="passwordCreate"><span class="star">Create
											Password</span></label>
									<input type="password" value="" id="passwordCreate" name="passwordCreate"
										minlength="8" passwordCheck="passwordCheck" autocomplete="off"
										class="form-control borderRads pword" placeholder="Choose a Password" />
								</div>
								<div class="form-group col-md-6">
									<label class="" for="password_again"><span class="star">Confirm
											Password</span></label>
									<input type="password" value="" id="password_again" name="password_again"
										passwordCheck1="passwordCheck" autocomplete="off"
										class="form-control borderRads pword" placeholder="Repeat the Password" />
								</div>
								<div class="col-12"><span id="pswderror" class="hidden"><i class="las la-info-circle"></i>Confirm password doesn't match with create password</span></div>
								<!-- <div class="icons">Confirm password doesnt match with create password<i class="las la-info-circle"></i></div> -->
							</div>
							<div id="pswd_info">
								<h4>Password must meet the following requirements:</h4>
								<ul>
									<li id="length" class="invalid"> <i class='fa fa-check-circle'></i> 8 or more
										characters</li>
									<li id="splChar" class="invalid"><i class='fa fa-check-circle'></i> Atleast one
										Special characters</li>
									<li id="capital" class="invalid"><i class='fa fa-check-circle'></i> Upper and
										Lowercase letters</li>
									<li id="number" class="invalid"><i class='fa fa-check-circle'></i> Atleast one
										number</li>
								</ul>
								<br />
								<h4> <strong> Strength:</strong></h4>
								<ul>
									<li>
										<div class="progress">
											<div id="progress" class="progress-bar"></div>
										</div>
									</li>
									<li>
										Avoid using a password that you use with other websites or that might be easy
										for someone else to guess.
									</li>
								</ul>
							</div>

							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15 px-0">
								<div class="form-group">
									<label class="">
										<span class="star">Username</span>
									</label>
									<div class="">
										<div class="col-xs-4 col-sm-3 col-md-3 col-lg-3 pad0 px-0">
											<select class="form-control borderRads" value="" id="travellerTitle"
												name="travellerTitle" style="padding: 6px;">
												<option value="" disabled selected>Title</option>
												<!-- <option value="Mstr">MSTR</option> -->
												<option value="Mr">MR</option>
												<option value="Ms">MS</option>
												<option value="Mrs">MRS</option>
												
												<!-- <option value="Miss">MISS</option> -->
											</select>
										</div>
										<div class="col-xs-12 col-sm-9 col-md-5 col-lg-5">
											<input type="text" value="" name="travellerFname" id="travellerFname"
												class="form-control borderRads" placeholder="First Name" />
										</div>
										<div class="col-xs-12 col-sm-9 col-md-4 col-lg-4">
											<input type="text" value="" name="travellerLname" id="travellerLname"
												class="form-control borderRads" placeholder="Last Name" />
										</div>
									</div>
								</div>
							</div>


							<div class="form-row">
								<div class="form-group col-md-6">
									<label for="gender1"><span class="star">Gender</span></label>
									<select class="form-control borderRads" id="gender1" name="gender" required="true">
										<option value="" disabled selected>Gender</option>
									</select>
								</div>
								<div class="form-group col-md-6">
									<label class="" for="country"><span class="star">Country</span></label>
									<select class="form-control borderRads" value="" id="country" name="country">
										<option value="" disabled selected>Country</option>
									</select>
								</div>
							
							</div>
						

							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15 px-0">
								<div class="form-group">
									<label class="">
										<span class="star">Contact No</span>
									</label>
									<div class="">
										<div class="col-xs-4 col-sm-3 col-md-2 col-lg-3 pad0 px-0">
											<select class="form-control borderRads"  id="travellerCc" name="travellerCc">
												<option value="" disabled selected>Code</option>
											</select>
											
										</div>
										<div class="col-xs-12 col-sm-9 col-md-6 col-lg-6">
											<input type="text" value="" name="travellerMobile" id="travellerMobile"
												class="form-control borderRads" maxlength="10"
												placeholder="Enter your mobile number" />
										</div>
									</div>
								</div>
							</div>

							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15"
								style="padding: 0; margin-bottom: 0;">
								<div class="form-row">
									<div class="form-group col-md-6">
										<label class="" for="passportNo"><span>Passport Number</span></label>
										<input type="text" value="" id="passportNo" name="passportNo" autocomplete="off"
											class="form-control borderRads pword" placeholder="Passport Number" />
									</div>
									<div class="form-group col-md-6">
										<label class="" for="passportIssueGovt"><span>Passport Issue Govt</span></label>
										<select class="form-control borderRads" id="passportIssueGovt"
											name="passportIssueGovt">
											<option value="" disabled selected>Choose Country</option>
										</select>
									</div>
								</div>
							</div>


							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15"
							style="padding: 0; margin-bottom: 0;">
							<div class="form-row">
								<div class="form-group col-md-6">
									
									<label class="" for="dateOfBirth"><span class="star">Date Of Birth</span></label>
									<input type="date" class="form-control" id="dateOfBirth"
										name="dateOfBirth" />
								</div>
							</div> 
						</div>

							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15"
								style="padding: 0; margin-bottom: 0;">
								<div class="form-row">
									<div class="form-group col-md-6">
										<label class="" for="passportIssueDate">Passport Issue Date</label>
										<input type="date" class="form-control" id="passportIssueDate"
											name="passportIssueDate" />
									</div>
									<div class="form-group col-md-6">
										<label class="" for="passportExpiryDate"><span>Passport Expiry
												Date</span></label>
										<input type="date" class="form-control" id="passportExpiryDate"
											name="passportExpiryDate" />
									</div>
								</div>
							</div>

							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15"
								style="padding: 0; margin-bottom: 0;">
								<div class="form-row">
									<div class="form-group col-md-6">
										<label class="" for="nationality"><span class="star">Nationality</span></label>
										<select class="form-control borderRads" id="nationality"
											name="nationality" required="true">
											<option value="" disabled selected>Nationality</option>
										</select>
										<!-- <input type="text" value="" id="nationality" name="nationality"
											autocomplete="off" class="form-control borderRads pword"
											placeholder="Nationality" /> -->
									</div>
									<div class="form-group col-md-6">
										<label class="" for="nationalId"><span>National Id</span></label>
										<input type="text" id="nationalId" name="nationalId" autocomplete="off"
											class="form-control borderRads pword" placeholder="national Id" />

									</div>
								</div>
							</div>


							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 px-0">
								<div class="form-group mb0">
									<div class="form-check pl-0">
										<input class="form-check-input" type="checkbox" id="newsletter" />
										<label class="form-check-label ml-4 pl-2" for="newsletter">
											I acknowledge to receive News letter and Promotional offers
										</label>
									</div>
								</div>
							</div>

							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
								<div class=" col-xs-8 col-sm-5 col-md-12 col-lg-12 text-right">
									<button onclick="createAccnt()" type="submit" class="btn btn-primary">Create
										Account</button>
									<input type="hidden" id="activationId" />
								</div>
								<div class="col-xs-12 col-sm-6 col-md-5 col-lg-5 mt5 loading hidden-xs"
									style="display: none;">
									<span style="padding-right: 15px;">Please wait...</span>
									<img src="app/images/loaders/loader4.gif" alt="loading..." />
								</div>
								<div class="col-xs-4 col-sm-6 col-md-5 col-lg-5 offset-0 visible-xs loading"
									style="display: none;">
									<span style="padding-right: 15px;">Please wait...</span>
									<img src="app/images/loaders/loader4.gif" alt="loading..." />
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>

		</div>
	</section>
	<style>
		.mb15 {
			margin-bottom: 15px;
		}

		.required {
			border: 1px solid red;
		}

		body {
			overflow-y: auto !important;
			overflow-x: hidden;
		}

		.loading {
			top: 10px;
		}

		.registerPanel form {
			background: rgba(255, 255, 255, 0.2) none repeat scroll 0 0;
			border: 1px solid #ccc;
			border-radius: 3px;
			box-shadow: 0 3px 0 rgba(12, 12, 12, 0.03);
			padding: 30px;
		}

		body {
			background-color: #fff !important;
		}

		.mt20 {
			margin-top: 20px;
		}

		label.error:empty {
			display: none !important;
		}

		label.error {
			display: none !important;
		}

		.registerPanel .pword {
			background: #fff url("app/images/locked.png") no-repeat scroll 95% center;
		}

		span.star::after {
			color: red;
			content: "*";
		}

		.pad0 {
			padding: 0;
		}
	</style>

	<!-- Modal -->
	<div class="modal fade" id="validationKey" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
		aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" role="document">
			<div class="modal-content" style="position: relative; top: 80px;">
				<div class="modal-body">
					Your activation key has been expired, Please try again.
				</div>

			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade" id="activationKeyErr" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
		aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" role="document">
			<div class="modal-content" style="position: relative; top: 80px;">
				<div class="modal-body">
					<div id="errmsgg"></div>
				</div>

			</div>
		</div>
	</div>


	<script>
		var user_id = getUserId();
		//var baseUrl="/gateway/";
		
		var USER_SAVE_URL = API_URL+'auth/api/v1/user/save';
		var REFRESH_TOKEN_URL = API_URL+'auth/api/v1/refresh-token';
		var GUEST_LOGIN_URL = API_URL+'auth/api/v1/guest-login';
		var ACTIVATION_KEY_VALIDATE_URL = API_URL+'auth/api/v1/user/validate';
		var USER_ACTIVAT_URL = API_URL+'auth/api/v1/user/activate';
		var GENDER_URL = API_URL+"rest/api/v1/common?codeType=Gender";
		var NATIONALITY_URL = API_URL+"rest/api/v1/list/nationality";
		var COUNTRY_URL = API_URL+"rest/api/v1/list/country";
		var PHONE_COUNTRY_URL = API_URL+"rest/api/v1/list/phone-country";

		var $validator = $("#registerForm").validate({
			rules: {
				passwordCreate: "required",
				travellerTitle: "required",
				travellerFname: "required",
				travellerLname: "required",
				dateOfBirth:"required",
				country: "required",
				// passportNo: "required",
				// passportIssueGovt: "required",
				// passportIssueDate: "required",
				// passportExpiryDate: "required",
				travellerCc: "required",
				 nationality: "required",
				travellerMobile: "required",
				password_again: {
					equalTo: "#passwordCreate"
				}
			},
			messages: {
				travellerFname: "Please enter your firstname",
				travellerLname: "Please enter your lastname",
				passwordCreate: {
					required: "Please provide a password"
				},
				password_again: {
					equalTo: "Confirm password doesnt match with create password"
				},
				travellerMobile: "Please enter a valid email address"
			},

			highlight: function (element) {
				jQuery(element).closest('.form-group').removeClass('has-success').addClass('has-error');
			},
			success: function (element) {
				jQuery(element).closest('.form-group').removeClass('has-error');
			}
		});

		jQuery.validator.addMethod("passwordCheck",
			function (value, element, param) {
				if (this.optional(element)) {
					return true;
				} else if (!/[A-Z]/.test(value)) {
					return false;
				} else if (!/[a-z]/.test(value)) {
					return false;
				} else if (!/[0-9]/.test(value)) {
					return false;
				}

				return true;
			},
			"error msg here");

		jQuery.validator.addMethod("passwordCheck1",
			function (value, element, param) {
				if (this.optional(element)) {
					return true;
				} else if (!/[A-Z]/.test(value)) {
					return false;
				} else if (!/[a-z]/.test(value)) {
					return false;
				} else if (!/[0-9]/.test(value)) {
					return false;
				}

				return true;
			},
			"error msg here");

		function createAccnt() {
			var UseremailId = document.getElementById('travelEmailId').value;
			var password = document.getElementById('passwordCreate').value;
			var password_again = document.getElementById('password_again').value;
			var salutation = document.getElementById('travellerTitle').value;
			var fname = document.getElementById('travellerFname').value;
			var lname = document.getElementById('travellerLname').value;
			var mobileCc = document.getElementById('travellerCc').value;
			var mobileNo = document.getElementById('travellerMobile').value;
			var gender = document.getElementById('gender1').value;
			var country = document.getElementById('country').value;
			var countryCode = document.getElementById('travellerCc').value;
			var Mobilenumber = document.getElementById('travellerMobile').value;
			var passportNo = document.getElementById('passportNo').value;
			var passportIssueGovt = document.getElementById('passportIssueGovt').value;
			var dateOfBirth = document.getElementById('dateOfBirth').value;
			var dob=dateOfBirth.split("-");
			var year=dob[0];
			var month=dob[1];
			var date=dob[2];
			dateOfBirth=date+"/"+month+"/"+year;

			var passportIssueDate = document.getElementById('passportIssueDate').value;
			if(passportIssueDate === '' || passportIssueDate === null || passportIssueDate === undefined){
				var passportIssueDate = null;
			}else{
				var passportIssuedate=passportIssueDate.split("-");
			var year=passportIssuedate[0];
			var month=passportIssuedate[1];
			var date=passportIssuedate[2];
			passportIssueDate=date+"/"+month+"/"+year;
			}
			

			var passportExpiryDate = document.getElementById('passportExpiryDate').value;
			if(passportExpiryDate === '' || passportExpiryDate === null || passportExpiryDate === undefined){
				var passportExpiryDate =null;
			}else{
				var passportexpirydate=passportExpiryDate.split("-");
			var year=passportexpirydate[0];
			var month=passportexpirydate[1];
			var date=passportexpirydate[2];
			passportExpiryDate=date+"/"+month+"/"+year;
			}
			
			var nationality = document.getElementById('nationality').value;
			var nationalityId = document.getElementById('nationalId').value;
			var activationId = document.getElementById('activationId').value;
			var newsletterNew;

			if (($('#newsletter').is(":checked")) == true) {
				newsletterNew = true;
			} else {
				newsletterNew = false;
			}

			var requestObj={
				salutation:salutation,
				password:password,
				confirmPassword:password_again,
				firstName:fname,
				lastName:lname,
				gender:gender,
				country:country,
				countryCode:countryCode,
				mobileNo:Mobilenumber,
				passportNo:passportNo,
				passportIssueGovt:passportIssueGovt,
				dob:dateOfBirth,
				passportIssueDate:passportIssueDate,
				passportExpiryDate:passportExpiryDate,
				nationality:nationality,
				newsLetter:newsletterNew,
				saudiNationalityId:nationalityId,
				promotions:newsletterNew,
				activationDtlId:activationId,
				userName:UseremailId,
				languagePref1:null,
				languagePref2:null

			}
			var userRegisterReq = JSON.stringify(requestObj);
			
			var $valid = $('#registerForm').valid();

			if (UseremailId != '' && password != '' && nationality !='' !='' && dateOfBirth !='' && password_again != '' && salutation != '' && fname != '' && lname != '' && mobileCc != '' && mobileNo != '' && gender != '' && country != '' && countryCode != '' && Mobilenumber != '') {
				$.ajax({
					type: 'POST',
					url:USER_SAVE_URL,
					data: userRegisterReq,
					success: function (response) {
						if (response.success == true) {
							var str = window.location.href;
							var n = str.search("#!");
							var t = str.slice(0, n + 3);
							Lobibox.alert('success', {
							msg: " Registration done successfully, please login to continue!",
							callback: function (lobibox, type) {
								if (type === 'ok') {
									setTimeout(function () {
										window.location.href = t + 'home';
									}, 2500);
								}
							}
							});
						// 	let vusername = document.getElementById('travelEmailId').value;
						// 	let vactiveid = document.getElementById('activationId').value;
						// 	//Activate User
						// var activateReq = {
						// 	"password": "P@ssw0rd",
						// 	"confirmPassword": "P@ssw0rd",
						// 	"userName": vusername,
						// 	"activationDtlId": vactiveid
						// }
						// activateUser(activateReq);

							
						}
						if (response.success == false) {
							Lobibox.alert('error', {
								msg: response.errorMessage+ 'Please try again'
							});
						}
					},
					error: function (xhr, textStatus, errorThrown) {
						var err = eval("(" + xhr.responseText + ")");
						if (err.status === 403) {
							refreshToken();
						} else {
							Lobibox.alert('error', {
								msg: " status:" + err.status + ", Error Message:" + err.message + ", Please try again"
							});
						}
					}
				});

			}
		}

		function refreshToken() {
			var tokenData = JSON.parse(sessionStorage.getItem('authToken'));
			var expiredToken = tokenData;
			var refreshtoken = JSON.parse(sessionStorage.getItem('refreshToken'));
			$.ajaxSetup({
				headers: {
					'Content-Type': "application/json",
					'Authorization': 'Bearer ' + refreshtoken
				}
			});
			$.ajax({
				type: 'POST',
				url: REFRESH_TOKEN_URL,
				data: expiredToken,
				success: function (response) {
					if (response) {
						// localStorage.removeItem('authentication');
						// localStorage.setItem('authentication', JSON.stringify(response));
						sessionStorage.setItem('authToken', JSON.stringify(authenticationreqres.authToken));
						sessionStorage.setItem('companyDetails', JSON.stringify(authenticationreqres.loginDetails));
						sessionStorage.setItem('refreshToken', JSON.stringify(authenticationreqres.refreshToken));

						createAccnt();
					}
				},
				error: function (xhr, textStatus, errorThrown) {
					var err = eval("(" + xhr.responseText + ")");
					if (err.status === 403) {
						var str = window.location.href;
						var n = str.search("#!");
						var t = str.slice(0, n + 3);
						Lobibox.alert('error', {
							msg: "Your session has been expired, Retry again!!",
							callback: function (lobibox, type) {
								if (type === 'ok') {
									setTimeout(function () {
										window.location.href = t + 'home';
									}, 2500);
								}
							}
						});
					} else {
						Lobibox.alert('error', {
							msg: " status:" + err.status + ", Error Message:" + err.message + ", Please try again"
						});
					}
				}
			});
		}

		function getUserEmail() {
			var queryStr = location.search;
			var queryStrSplt = queryStr.split('=');
			var mailStrSplt = queryStrSplt[1];
			var umail = mailStrSplt.split('&amp;')[0];
			return umail;
		}
		function getUserId() {
			var queryStr = location.search;
			var queryStrSplt = queryStr.split('&amp;');
			var uid = queryStrSplt[1];
			return uid;
		}

		window.onload = function () {
			getUrlVars();
		};

		// Read a page's GET URL variables and return them as an associative array.
		function getUrlVars() {
			var url_string = window.location.href; 
			var querystring = url_string.split('=')[1];
			//var fresult = querystring.replace('%3D','');
			return querystring;
		}

		//Validate Activation key
		$(document).ready(function () {

			var authenticationreq = { "username": DEFAULT_USER };
			var authToken;
			$.ajaxSetup({
				headers: {
					'Content-Type': "application/json"
				}
			});
			//set guest auth
			if (sessionStorage.authToken) {
				$.ajax({
					type: 'POST',
					url: GUEST_LOGIN_URL,
					data: JSON.stringify(authenticationreq),
					success: function (response) {
						if (response) {
							authToken = response.authToken;
							$.ajaxSetup({
								headers: {
									'Authorization': "Bearer " + authToken
								}
							});
							
							getGender();
							getNationality();
							getCountry();
							getCountryCode();
							let activationID = getUrlVars();
							validateKey(activationID);
						}
					},
					error: function (xhr, textStatus, errorThrown) {
						var err = eval("(" + xhr.responseText + ")");
						Lobibox.alert('error', {
							msg: " status:" + err.status + ", Error Message:" + err.message + ", Please try again"
						});
					}
				});
			}

		});

		function validateKey(activationID) {
			$.ajax({
				type: 'GET',
				url:  ACTIVATION_KEY_VALIDATE_URL+"/"+activationID,
				success: function (response) {
					if (response.success == true) {
						document.getElementById('travelEmailId').value = response.data.loginId;
						document.getElementById('activationId').value = response.data.id;
						// //Activate User
						// var activateReq = {
						// 	"password": "P@ssw0rd",
						// 	"confirmPassword": "P@ssw0rd",
						// 	"userName": response.data.loginId,
						// 	"activationDtlId": response.data.id
						// }
						// activateUser(activateReq);
					}
					if (response.success == false) {
						var str = window.location.href;
						var n = str.search("#!");
						var t = str.slice(0, n + 3);
						Lobibox.alert('error', {
							msg: response.errorMessage,
							callback: function (lobibox, type) {
								if (type === 'ok') {
									setTimeout(function () {
										window.location.href = t + 'home';
									}, 2500);
								}
							}
						});
					}
				},
				error: function (xhr, textStatus, errorThrown) {
					var err = eval("(" + xhr.responseText + ")");
					var str = window.location.href;
					var n = str.search("#!");
					var t = str.slice(0, n + 3);
					Lobibox.alert('error', {
						msg: err.status + '&nbsp;' + err.message
					});
				}
			});
		}

		function activateUser(activatereq) {
			$.ajax({
				type: 'POST',
				url: USER_ACTIVAT_URL,
				data: JSON.stringify(activatereq),
				success: function (data) {
					var str = window.location.href;
					var n = str.search("#!");
					var t = str.slice(0, n + 3);
					Lobibox.alert('success', {

						msg: " Registration done successfully, please login to continue!",
						callback: function (lobibox, type) {
							if (type === 'ok') {
								setTimeout(function () {
									window.location.href = t + 'home';
								}, 2500);
							}
						}
					});
				},
				error: function (xhr, textStatus, errorThrown) {
					var err = eval("(" + xhr.responseText + ")");
					var str = window.location.href;
					var n = str.search("#!");
					var t = str.slice(0, n + 3);
					Lobibox.alert('error', {
						msg: err.status + '&nbsp;' + err.message
					});
				}
			});
		}

		// function getSaluation() {

		// 	$.get("/rest/api/v1/common?codeType=SALUTATION", function (result) {
		// 		if (result.success == true) {
		// 			$.each(result.data, function (index, value) {
		// 				$('#travellerTitle').append('<option value="' + value.code + '">' + value.name + '</option>');
		// 			});
		// 		}
		// 	});
		// }

		function getGender() {
			//get Gender
			$.get(GENDER_URL, function (result) {
				if (result.success == true) {
					// $.each(result.data, function (index, value) {
					$('#gender1').append('<option value="' + "M" + '">' + "Male" + '</option>',

						'<option value="' + "F" + '">' + "Female" + '</option>'
					);


					// });
				}
			});
		}

		function getNationality() {
			//get Gender
			$.get(NATIONALITY_URL, function (result) {
				if (result.success == true) {
					$.each(result.data, function (index, nationality) {
						$('#nationality').append('<option value="' + nationality.code + '">' + nationality.name + '</option>');


					});
				}
			});
		}

		function getCountry () {
			//get country name
			$.get(COUNTRY_URL, function (result) {
				if (result.success == true) {
					$.each(result.data, function (index, value) {
						$('#country').append('<option value="' + value.code + '">' + value.name + '</option>');

						$('#passportIssueGovt').append('<option value="' + value.code + '">' + value.name + ", (" + value.code + ')</option>');
					});
				}
			});
		}

		function getCountryCode() {
			//get country name
			$.get(PHONE_COUNTRY_URL, function (data) {
				if (data.success) {
					$.each(data.data, function (index, value) {
	$('#travellerCc').append('<option value="' + value.name + '">' + value.name + "-(" + value.code + ')</option>');

						//  $('#travellerCc').append('<option value="' + value.name + '">' + value.name + "-(" + value.code + ')</option>'); 
					});
				}
			});
		}

		function getMonth(date) {
			var month = date.getMonth() + 1;
			return month < 10 ? '0' + month : '' + month; // ('' + month) for string result
		}

		//DATE RANGE RESTRICT
		$(function () {
			var dtToday = new Date();
			var month = getMonth(dtToday);
			var day = dtToday.getDate();
			var year = dtToday.getFullYear();
			var maxDate = dtToday.getFullYear() + '-' +  ('0' + (dtToday.getMonth()+1)).slice(-2) + '-'+('0' + dtToday.getDate()).slice(-2);
			$('#passportIssueDate').attr('max', maxDate);
			$('#passportExpiryDate').attr('min', maxDate);
			$('#dateOfBirth').attr('max', maxDate);
		});

		//DATE RESTRICT SIX MONTH
		function sixMonthsPrior() {
			var d = new Date();
			var m = $("#passportExpiryDate").val();
			m = new Date(m).getMonth();
			d.setMonth(d.getMonth() - 6);
			var diff = (m + 12 - d.getMonth()) % 12;
			if (diff < 6) {
				m.setDate(0);
			}
		}


		$(function () {
			$("#passportExpiryDate").change(function () {
				//sixMonthsPrior();
			});
		});

		//PASSWORD CHECKER ALIGNMENT
		$(function () {
			$("#password_again").keyup(function () {
				$('#pswd_info').css({ "right": "90px", "top": "174px" });
				
				if($('#passwordCreate').val() !== $('#password_again').val()){
                $('#pswderror').removeClass('hidden');
          
           }else{
             $('#pswderror').addClass('hidden');
           }

			});
			$("#passwordCreate").keyup(function () {
				$('#pswd_info').css({ "right": "294px", "top": "170px" });
			});
		});

		//PASSWORD CHECKER 			
		$(document).ready(function () {
			$('input[type=password]').keyup(function () {

				var percentage = 0;

				var pswd = $(this).val();
				if (pswd.length < 8) {
					$('#length').removeClass('valid').addClass('invalid');
				} else {
					percentage += 25;
					$('#length').removeClass('invalid').addClass('valid');
				}

				if (pswd.match(/[A-Z]/)) {
					percentage += 25;
					$('#capital').removeClass('invalid').addClass('valid');
				} else {
					$('#capital').removeClass('valid').addClass('invalid');
				}

				if (pswd.match(/[!@#\$%\^&\*]/)) {
					percentage += 25;
					$('#splChar').removeClass('invalid').addClass('valid');
				} else {
					$('#splChar').removeClass('valid').addClass('invalid');
				}

				//validate number
				if (pswd.match(/\d/)) {
					percentage += 25;
					$('#number').removeClass('invalid').addClass('valid');
				} else {
					$('#number').removeClass('valid').addClass('invalid');
				}

				if (percentage < 25) {
					$(".progress-bar").css("background", "white");
				} else if (percentage < 50) {
					$(".progress-bar").css("background", "#f34c26");
				} else if (percentage < 75) {
					$(".progress-bar").css("background", "#caf326");
				} else if (percentage < 100) {
					$(".progress-bar").css("background", "#f3ab26");
				} else {
					$(".progress-bar").css("background", "#0f910c");

				}

				$(".progress-bar").css("width", percentage + "%");
				$('#pswd_info').show();


			}).focus(function () {
			}).blur(function () {
				$('#pswd_info').hide();
			});


		});

	</script>
</body>

</html>
